package java.security.cert;

import java.util.Set;
import java.util.Iterator;

public interface PolicyNode
{
    public abstract PolicyNode getParent();
    
    public abstract Iterator<? extends PolicyNode> getChildren();
    
    public abstract int getDepth();
    
    public abstract String getValidPolicy();
    
    public abstract Set<? extends PolicyQualifierInfo> getPolicyQualifiers();
    
    public abstract Set<String> getExpectedPolicies();
    
    public abstract boolean isCritical();
}
